Get image tag list

Prev Next

Available in Classic and VPC

Get the tag list for an image registered in the registry of Container Registry.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /ncr/api/v2/repositories/{registry}/{imageName}/tags (Korea Region)
GET /ncr/sgn-api/v2/repositories/{registry}/{imageName}/tags (Singapore Region)
GET /ncr/jpn-api/v2/repositories/{registry}/{imageName}/tags (Japan Region)

Request headers

For information about the headers common to all Container Registry APIs, see Container Registry request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
registry String Required Name of the registry where the image for which you want to view the tag list is registered
imageName String Required Name of the image to view the tag list for
  • Need to use URI encoded values.
  • Example: For hello/world, convert to hello%2Fworld and use it.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
page Number Optional Page number to query
  • Enter a value greater than 0 for the page number.
pagesize Number Optional Size of the page to query
  • Enter a value greater than 0 for the page size.

Request example

The request example is as follows:

curl -X GET 'https://ncr.apigw.ntruss.com/ncr/api/v2/repositories/{registry}/{imageName}/tags' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response syntax

The response syntax is as follows:

{
  "count": "number",
  "next": "number",
  "previous": "number",
  "results": [
      {
          "creator": "string",
          "digest": "string",
          "full_size": "number",
          "id": "number",
          "image_id": "number",
          "images": [
              {
                  "architecture": "string",
                  "created": "number",
                  "digest": "string",
                  "features": "string",
                  "latest_pulled": "number",
                  "mediaType": "string",
                  "os": "string",
                  "os_features": "string",
                  "os_version": "string",
                  "size": "number",
                  "updated": "number",
                  "variant": "string"
              }
          ],
          "last_updated": "number",
          "last_updater": "string",
          "name": "string",
          "repository": "number",
          "v2": "boolean"
      }
  ]
}

Response body

The response body includes the following data:

Field Type Required Description
count Number - Total number of registries registered
next Number - Number of the next page
  • It returns null if there is no next page
previous Number - Number of the previous page
  • It returns null if there is no previous page
results Array - Response result: results

results

The following describes results.

Field Type Required Description
creator String - Image registrant ID
digest String - Unique identifier ID for the image
full_size Number - Tag size
id Number - Tag ID
image_id Number - Image ID
images Array - Image information: images
last_updated String - Last modification date of the image
  • Return the number of milliseconds that have elapsed since January 1, 1970 00:00:00 UTC.
last_updater String - Image registrant ID
name String - Tag name
repository Number - Registry ID
v2 Boolean - Whether to apply the v2 spec for images

images

The following describes images.

Field Type Required Description
architecture String - CPU architecture, such as amd64 or ppc64le
created String - Image creation date
  • Return the number of milliseconds that have elapsed since January 1, 1970 00:00:00 UTC.
digest String - Unique identifier ID for the image
features String - Not used
latest_pulled Number - Date and time of the most recent image pull
mediaType String - MIME type for image formats
  • Example: vnd.docker.container.image.v1+json: This is an image defined by the Docker container, with image format version v1 and MIME type with data encoded in JSON format
os String - Operating system, such as linux or windows
os_features String - Not used
os_version String - Not used
size Number - Image size
updated Number - Image modification date and time
variant String - Variant value available for specific architectures

Response status codes

For information about the HTTP status codes common to all Container Registry APIs, see Container Registry response status codes.

Response example

The response example is as follows:

{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
      {
          "creator": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
          "digest": "sha256:a180 ~ b9dc",
          "full_size": 83518086,
          "id": 730606,
          "image_id": 322122,
          "images": [
              {
                  "architecture": "amd64",
                  "created": 1711928488000,
                  "digest": "sha256:sha256:a180 ~ b9dc",
                  "features": "",
                  "latest_pulled": 0,
                  "mediaType": "application/vnd.docker.container.image.v1+json",
                  "os": "linux",
                  "os_features": "",
                  "os_version": null,
                  "size": 83518086,
                  "updated": 1711928488000,
                  "variant": null
              }
          ],
          "last_updated": 1711928488000,
          "last_updater": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
          "name": "ncpdocker",
          "repository": 5976,
          "v2": true
      }
  ]
}